%define tarname	Tempita

Summary:	A very small text templating language
Name:		python-tempita
Version:	0.5.2
Release:	%mkrel 16
Source0:	https://pypi.python.org/packages/source/T/%{tarname}/%{tarname}-%{version}.tar.gz
License:	MIT
Group:		Development/Python
URL:		https://pypi.org/project/Tempita/
BuildArch:	noarch
Patch0: 0001-Fix-SyntaxError-multiple-exception-types-must-be-par.patch

%description
Tempita is a small templating language for text substitution.

This isn't meant to be the Next Big Thing in templating; it's just a
handy little templating language for when your project outgrows
string.Template or % substitution. It's small, it embeds Python in
strings, and it doesn't do much else.

%package -n python3-tempita
Summary:	A very small text templating language
Group: 		Development/Python
BuildRequires:	python3-setuptools

%description -n python3-tempita
Tempita is a small templating language for text substitution.

This isn't meant to be the Next Big Thing in templating; it's just a
handy little templating language for when your project outgrows
string.Template or % substitution. It's small, it embeds Python in
strings, and it doesn't do much else.
This package contains the Tempita module built for use with python3.

%prep
%autosetup -n %{tarname}-%{version} -p1
sed -i '/use_2to3/d' setup.py

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files tempita

%files -n python3-tempita -f %{pyproject_files}




%changelog
* Sat Mar 01 2025 wally <wally> 0.5.2-16.mga10
+ Revision: 2155997
- rebuild for python3.13

* Sat Dec 16 2023 papoteur <papoteur> 0.5.2-15.mga10
+ Revision: 2018360
- rebuild for python 3.12

* Wed Mar 23 2022 umeabot <umeabot> 0.5.2-14.mga9
+ Revision: 1823114
- Mageia 9 Mass Rebuild

* Sat Feb 19 2022 joequant <joequant> 0.5.2-13.mga9
+ Revision: 1781404
- update to python 3.10
- update python 3.10

* Sun Feb 16 2020 umeabot <umeabot> 0.5.2-12.mga9
+ Revision: 1533689
- Mageia 8 Mass Rebuild

* Mon Sep 23 2019 tv <tv> 0.5.2-11.mga8
+ Revision: 1444923
- rebuild for python-3.8
- drop python2 subpkg

* Thu Jan 10 2019 shlomif <shlomif> 0.5.2-10.mga7
+ Revision: 1354470
- Rebuild for python3 3.7

* Fri Sep 21 2018 umeabot <umeabot> 0.5.2-9.mga7
+ Revision: 1290342
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 0.5.2-8.mga7
+ Revision: 1135658
- Rebuild for python 3.6

* Fri Feb 19 2016 umeabot <umeabot> 0.5.2-7.mga6
+ Revision: 970946
- Mageia 6 Mass Rebuild

* Sat Oct 10 2015 tv <tv> 0.5.2-6.mga6
+ Revision: 888875
- rebuild for python 3.5

* Wed Oct 15 2014 umeabot <umeabot> 0.5.2-5.mga5
+ Revision: 748404
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.5.2-4.mga5
+ Revision: 729471
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.5.2-3.mga5
+ Revision: 688378
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 0.5.2-2.mga5
+ Revision: 629056
- Rebuild for new Python

* Sat Mar 08 2014 philippem <philippem> 0.5.2-1.mga5
+ Revision: 601319
- update to 0.5.2

* Tue Oct 22 2013 umeabot <umeabot> 0.5.1-6.mga4
+ Revision: 544305
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.5.1-5.mga4
+ Revision: 499530
- Rebuild to add different pythonegg provides for python 2 and 3

* Fri Aug 16 2013 philippem <philippem> 0.5.1-4.mga4
+ Revision: 466946
- add Python 3

* Sun Jan 13 2013 umeabot <umeabot> 0.5.1-3.mga3
+ Revision: 379557
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jul 04 2011 philippem <philippem> 0.5.1-2.mga2
+ Revision: 118414
- imported package python-tempita


* Mon Jul 04 2011 Philippe Makowski <philippem@mageia.org> 
- import into Mageia

* Mon Jun 13 2011 Lev Givon <lev@mandriva.org> 0.5.1-1mdv2010.1
+ Revision: 684945
- Update to 0.5.1.

* Thu Mar 31 2011 Lev Givon <lev@mandriva.org> 0.5-0.dev.0
+ Revision: 649453
- import python-tempita


